Page MenuHomePhabricator

Remove SIG* listeners in service runner on stop
Closed, ResolvedPublic

Description

Service runner registers a bunch of SIG* listeners when the service is started and does not remove them when it's stopped. I production this doesn't matter, however within the tests we start/stop the server all the time which leads to annoying warnings being emitted. We need to clear the sig handlers when the server is stopped.

Acceptance criteria: running RESTBase tests with a modified service-runner package and not seeing logged warnings for EventEmitter maxListeners exceeded.

Event Timeline

Pchelolo created this task.Mar 27 2019, 1:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2019, 1:59 PM
Pchelolo updated the task description. (Show Details)Mar 27 2019, 2:05 PM
Pchelolo updated the task description. (Show Details)May 2 2019, 6:01 PM
Pchelolo triaged this task as Normal priority.May 16 2019, 9:19 AM
Pchelolo closed this task as Resolved.Jun 5 2019, 5:45 AM

Merged, published and tested. Resolving. Thank you @holger.knust